<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicios Boolean</title>
</head>
<body>
    <h1>Ejercicios Varios Javascript M7</h1>
    <a href="https://www.youtube.com/watch?v=mCdA4bJAGGk">Mira mi colecion de NFT</a>
    <script>
        var palabra = prompt("Introduce la palabara");
        //DIVIDIR VOCALES DE CONSONANTES
        /*Programa la función separarVocalesDeConsonantes() que partiendo de una cadena de entrada, la trabaje y retorne una cadena que tenga todas las vocales y luego las constantes (en el mismo orden en el que aparecen).*/

        //Introduce el string en la funcion.
        //Comprovar que el string tenga una longitud mínimo de 1 letra
        //Hacer un bucle for de 0 a la palabra.Length
        //Hacer un condicional de que si es alguna de la vocales (a,e,i,o,u)entra y pone la vocal en una variable
        //Sino lo pone en otra variable
        //Imprimir la variable de las vocales y despues la de las consonantes concatenadas
        
        function dividirVocalesDeConsonantes(palabra){
            while (palabra.length <=1){
                palabra = prompt("Palabra Incorrecta, introduce otra ");
            }
            var palabraAMinusculas = palabra.toLocaleLowerCase();
            var vocales = "";
            var consonantes = "";
            for (var i = 0; i < palabra.length; i++){
                if (palabraAMinusculas[i] == "a" || palabraAMinusculas[i] == "e" || palabraAMinusculas[i] == "i"|| palabraAMinusculas[i] == "o"||palabraAMinusculas[i] == "u"){
                    vocales += palabra[i];
                }
                else{
                    consonantes += palabra[i];
                }
            }
            return vocales+consonantes;
        }
        alert(dividirVocalesDeConsonantes(palabra));
    </script>
</body>
</html>